summaryrefslogtreecommitdiff
path: root/script/factoryreset-verify-result.sh
diff options
context:
space:
mode:
authorMyoungJune Park <mj2004.park@samsung.com>2017-03-27 13:37:59 +0900
committerMyoungJune Park <mj2004.park@samsung.com>2017-06-12 16:15:18 +0900
commit98d02ddb1a4b4bf4b0879fb189707543d06bc6bf (patch)
tree05be6983bb828d98b320899e31b09f3794ec1c57 /script/factoryreset-verify-result.sh
parent41f717fb0857f466c34797859cc0c5525daa4e54 (diff)
downloadfactory-reset-98d02ddb1a4b4bf4b0879fb189707543d06bc6bf.tar.gz
factory-reset-98d02ddb1a4b4bf4b0879fb189707543d06bc6bf.tar.bz2
factory-reset-98d02ddb1a4b4bf4b0879fb189707543d06bc6bf.zip
init code
Change-Id: Ie6cb5cdbcabca325d23d3a230027d40f67c09644 Signed-off-by: MyoungJune Park <mj2004.park@samsung.com>
Diffstat (limited to 'script/factoryreset-verify-result.sh')
-rwxr-xr-xscript/factoryreset-verify-result.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/script/factoryreset-verify-result.sh b/script/factoryreset-verify-result.sh
new file mode 100755
index 0000000..d482158
--- /dev/null
+++ b/script/factoryreset-verify-result.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Copyright (c) 20014- 2017 Samsung Electronics Co., Ltd.
+#
+# Contact: MyoungJune Park <mj2004.park@samsung.com>
+# Created by Wonil Choi <wonil22.choi@samsung.com>
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+
+
+
+logfile="/opt/var/log/.verify.log"
+frlog="/opt/.factoryreset.log"
+
+if [ -e $frlog ]; then
+ logfile="$frlog"
+fi
+
+/bin/grep "NG," ${logfile}
+if [ $? -ne 0 ];then
+ exit 0;
+else
+ exit 1;
+fi